// pages/leave/leave.js
const app = getApp();
const { axios } = app.globalData;
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  // 请求管理数据
  AdddataRequest () {
    let that = this;
    axios({
      url: "/order/student_leave/", method: 'get', success (res) {
        console.log(res)
        let { data } = res.data, datalist = [];
        data.forEach(item => {
          let { student_text: name, id } = item;
          datalist.push({
            id,
            name,
            tel: [item.school_text, item.grade_text, item.class_text].join(" "),
            createdata: item.create_time_f,
            enddata: item.leave_date,
            data: item.order_text
          })
        })
        that.setData({
          datalist
        })
        wx.stopPullDownRefresh();
      }
    })
  },
  // 删除
  Del (e) {
    let { item } = e.currentTarget.dataset, that = this;
    axios({
      url: `/order/student_leave/${item.id}/`, method: 'delete', success (res) {
        that.AdddataRequest();
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "请假管理", //标题
      back: true,//返回按钮，tabber必须false（除非会改）
    });
  },
  // 新增
  Add () {
    wx.navigateTo({
      url: '/pages/leaveadd/leaveadd',
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.AdddataRequest()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.AdddataRequest()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

})